import { Action, ADD_CITIZEN, REMOVE_CITIZEN } from '../actions';
export declare function ruler(state: import("@clickopolis/core").Citizen, action: any): import("@clickopolis/core").Citizen;
export declare function farmer(state: import("@clickopolis/core").Citizen, action: Action<ADD_CITIZEN | REMOVE_CITIZEN>): import("@clickopolis/core").Citizen;
export declare function miner(state: import("@clickopolis/core").Citizen, action: Action<ADD_CITIZEN | REMOVE_CITIZEN>): import("@clickopolis/core").Citizen;
export declare function soldier(state: import("@clickopolis/core").Citizen, action: Action<ADD_CITIZEN | REMOVE_CITIZEN>): import("@clickopolis/core").Citizen;
